PDA

View Full Version : nv4_disp.dll BSOD when using latest versions of Forceware Drivers


ncazrael
12-08-07, 04:41 AM
I am running into a problem. I cannot seem to update my drivers to 163.75. I am currently running ForceWare v158.22, but if I try to upgrade my drivers I get the nv4_disp.dll BSOD every time my computer tries to boot. If I boot into safemode and uninstall the drivers I can go back to 158.22. Originally I thought this was a problem with my installation of Windows, as I had been seeing a few other issues as well, so I formated and reinstalled everything, and I'm still getting the same problem. This is very annoying and I'm hoping that someone can help me resolve this.

My system specs are:
BFG 8800 GTX
Windows XP SP2 and all updates
AMD Opteron 180
ASUS A8N32-SLI (nforce 4 chipset)

Beyond that I don't think there should be any other specs that are relavent. If more information is needed please let me know.

Thanks.

haccess
12-08-07, 09:07 AM
It may help narrow down a solution to know what type of error is listed in the BSOD (for example, 0xc000005, an infinite loop error, etc). If the BSOD goes away too fast to see it, turn off automatic restarts:

System Properties (keyboard shortcut Windows Key + Pause/Break)
Advanced
Startup and Recovery Settings
Uncheck "Automatically Restart"

After writing the error down you will have to restart using Ctrl+Alt+Del or the reset/power button on your computer case. Then you can google around to find out more information about that specific error.


Also, have you tried downloading the 163.75 drivers from a different source? Have you tried using the latest beta drivers instead?

FastM
12-09-07, 09:59 PM
Just a shot in the dark, try deleting the "HKLM,"SOFTWARE\NVIDIA Corporation\Global\NVTweak", CoolBits, %REG_DWORD%, 0xffffffff" line from the nv4_disp.inf file before installing the driver.

I have the same problem with my Dell laptop 7950GTX, I cant install any driver before removing that line.

ASUSEN7900GTX
01-15-08, 08:25 AM
i get A NV4_Disp.sll BSOD when i try and play oblivion thissince i chose overide application thing for AA i use 169.28 might it be that this set doesn´t have aa for oblvion or what?